| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::ImageAutoConvert Class Reference

Small wrapper class to automatically convert an image into a different storage format, if needed. More...

`#include <csgfx/imageautoconvert.h>`

List of all members.

## Public Member Functions
| ImageAutoConvert (iImage *image, int desiredFormat)
| Provide access to image itself or a copy in with a format of desiredFormat.
| operator iImage * () const
| Provide access to the image.
iImage * | operator-> () const
| Provide access to the image.

## Detailed Description

Small wrapper class to automatically convert an image into a different storage format, if needed.

Definition at line 39 of file imageautoconvert.h.

## Constructor & Destructor Documentation

CS::ImageAutoConvert::ImageAutoConvert | ( | iImage * | image,
|  | int | desiredFormat |
| ) |  |  | `[inline]`

Provide access to image itself or a copy in with a format of desiredFormat.

Parameters:

  | image | Image to wrap.
  | desiredFormat | The desired image format. If image has the correct format it's used directly; otherwise, a copy having the given format will be created.

Definition at line 51 of file imageautoconvert.h.

References csRef< T >::AttachNew(), and iImage::GetFormat().

## Member Function Documentation

CS::ImageAutoConvert::operator iImage * | ( |  | ) | const`[inline]`

Provide access to the image.

Definition at line 64 of file imageautoconvert.h.

iImage* CS::ImageAutoConvert::operator-> | ( |  | ) | const`[inline]`

Provide access to the image.

Definition at line 62 of file imageautoconvert.h.

The documentation for this class was generated from the following file:

- csgfx/imageautoconvert.h